<template>
  <div class='news'>
    <div class='container'>
      <div :class='["pers", {"pers--animation": animation}]'>
        <div class='pers__text'>
          <p class='base-title'>Coming soon</p>
        </div>
        <img class='pers__img'  src='../assets/img/pers.png' alt='' width='578' height='531'>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      animation: false
    }
  },
  head() {
    return {
      title: 'TBCC | News',
      link: [
        {
          rel: "canonical", href: `https://tbcctoken.com${this.$route.path}`
        }
      ]
    }
  },
  mounted() {
    setTimeout(() => {
      this.animation = true
    }, 300)
  }
}
</script>

<style lang='scss' scoped>
.news {
  background: linear-gradient(169deg, #1F0C71 27.28%, #041344 67.8%);
  position: relative;
  z-index: 1;

  @media(min-width: 768px) {
    &::after {
      content: "";
      width: 1798px;
      height: 715px;
      background-image: url("assets/img/stones@2x.png");
      background-repeat: no-repeat;
      background-position: center;
      background-size: contain;
      bottom: 0;
      right: 0;
      position: absolute;
      pointer-events: none;
      z-index: -1;
    }
  }
}

.container {
  display: flex;
  align-items: center;
  justify-content: center;
  min-height: 100vh;
  h1 {
    font-size: 55px;
  }
}

.pers {
  position: relative;
  max-width: 578px;
  max-height: 531px;
  width: 100%;
  height: 100%;

  @media(max-width: 767px) {
    width: 422px;
    height: 387px;
  }

  &__img {
    object-fit: contain;
    position: relative;
    transform: translate(-1000px, -1000px) scale(-1, 1);
    transition: all 2s;
    max-width: 578px;
    max-height: 531px;
    width: 100%;
    height: 100%;


    @media(max-width: 767px) {
      width: 422px;
      height: 387px;
    }
  }

  &__text {
    position: absolute;
    background: white;
    padding: 25px;
    width: auto;
    right: 0;
    top: 165px;
    border-radius: 26px;
    font-size: 35px;
    font-weight: 600;
    opacity: 0;
    transition: all 1s 2s;

    @media(max-width: 767px) {
      right: 35px;
    }

    @media(max-width: 767px) {
      font-size: 25px;
      padding: 20px;
    }

    p {
      margin: 0;
      position: relative;

      &::before {
        content: "";
        position: absolute;
        left: 11px;
        bottom: -41px;
        width: 34px;
        height: 34px;
        background: white;
        transform: rotate(45deg);

        @media(max-width: 767px) {
          width: 24px;
          height: 24px;
          bottom: -31px;
        }
      }
    }
  }

  &--animation {
    .pers__img {
      transform: translate(-90px, 40px) scale(-1, 1);
    }

    .pers__text {
      opacity: 1;
      top: 135px;

      @media(max-width: 767px) {
        top: 90px;
      }
    }
  }
}
</style>
